.react-quill {
  background: white;
  height: 100%;

  label.field__label-label {
    margin-bottom: 5px;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.1px;
    text-align: left;
    color: var(--grey-label);
    position: relative;
    .field__label-required {
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
      position: absolute;
    }
  }

  .quill-error-border {
    .ql-toolbar {
      border: 1px solid red;
    }
    .ql-container {
      border: 1px solid red;
      border-top: none;
    }
  }
  .ql-toolbar.ql-snow + .ql-container.ql-snow {
    border-top: 0px;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    background-color: #fff;
    padding: 0;
  }

  .react-quill-disabled {
    .ql-toolbar {
      display: none;
    }
    .ql-container {
      border-top: 1px solid #ccc !important;
      border-top-left-radius: 2px;
      border-top-right-radius: 2px;
    }
  }

  .quill {
    height: 95%;
    .ql-toolbar {
      border-top-left-radius: 2px;
      border-top-right-radius: 2px;
    }
    .ql-container {
      border-bottom-left-radius: 2px;
      border-bottom-right-radius: 2px;
      // background: white;
      // height: 95%;
    }
  }

  .ql-picker.ql-table:nth-of-type(1) .ql-picker-label::before {
    content: "";
    background: url("/assets/icons/cells.png");
    background-size: cover;
    position: absolute;
    width: 15px;
    height: 15px;
  }
  .ql-picker.ql-table:nth-of-type(2) .ql-picker-label::before {
    content: "";
    background: url("/assets/icons/edit-table.png");
    background-size: cover;
    position: absolute;
    width: 15px;
    height: 15px;
  }
  // .ql-editor .ql-video {
  //   display: block;
  //   max-width: 100%;
  //   height: 50%;
  //   width: 50%;
  // }
  .ql-snow .ql-tooltip {
    position: absolute;
    transform: translateY(10px);
    margin: 0 0 0 15%;
  }
  .ql-snow .ql-tooltip[data-mode="video"]::before {
    content: "Chart URL:";
  }

  .ql-video,
  .ql-bold,
  .ql-italic,
  .ql-underline,
  .ql-strike,
  .ql-blockquote,
  .ql-image,
  .ql-code-block,
  .ql-list,
  .ql-script,
  .ql-indent,
  .ql-direction,
  .ql-color-picker,
  .ql-background,
  .ql-font,
  .ql-align,
  .ql-table,
  .ql-picker {
    position: relative;
  }

  .ql-video:hover:before,
  .ql-bold:hover:before,
  .ql-italic:hover:before,
  .ql-strike:hover:before,
  .ql-blockquote:hover:before,
  .ql-image:hover:before,
  .ql-code-block:hover:before,
  .ql-list:hover:before,
  .ql-script:hover:before,
  .ql-indent:hover:before,
  .ql-direction:hover:before,
  .ql-underline:hover:before,
  .ql-color-picker:hover:before,
  .ql-background:hover:before,
  .ql-font:hover:before,
  .ql-align:hover:before,
  .ql-table:hover:before,
  .ql-picker:hover:before {
    display: block;
    width: max-content;
  }

  .ql-video:before,
  .ql-bold:before,
  .ql-italic:before,
  .ql-strike:before,
  .ql-blockquote:before,
  .ql-image:before,
  .ql-code-block:before,
  .ql-list:before,
  .ql-script:before,
  .ql-indent:before,
  .ql-direction:before,
  .ql-underline:before,
  .ql-color-picker:before,
  .ql-background:before,
  .ql-font:before,
  .ql-align:before,
  .ql-table:before,
  .ql-picker:before {
    position: absolute;
    transform: translateY(-120%);
    left: -70%;
    padding: 10px;
    border-radius: 10px;
    background: #000;
    color: #fff;
    text-align: center;
    display: none;
    z-index: 1;
    font-size: var(--font-xs) !important;
  }
  .ql-video:before {
    content: "Insert URL";
  }
  .ql-bold:before {
    content: "Bold (Ctrl + B)";
  }
  .ql-italic:before {
    content: "Italic (Ctrl + I)";
  }
  .ql-strike:before {
    content: "Strikethrough";
  }
  .ql-underline:before {
    content: "Underline (Ctrl + U)";
  }
  .ql-blockquote:before {
    content: "Quote";
  }
  .ql-image:before {
    content: "Image";
  }
  .ql-code-block:before {
    content: "Code Block";
  }
  .ql-list[value="ordered"]:before {
    content: "Ordered list";
  }
  .ql-list[value="bullet"]:before {
    content: "Bullet list";
  }
  .ql-script[value="sub"]:before {
    content: "Subscript";
  }
  .ql-script[value="super"]:before {
    content: "Superscript";
  }
  .ql-indent[value="-1"]:before {
    content: "Left indent";
  }
  .ql-indent[value="+1"]:before {
    content: "Right indent";
  }
  .ql-direction[value="rtl"]:before {
    content: "Right to Left";
  }
  .ql-color:before {
    content: "Text Color";
  }
  .ql-background::before {
    content: "Text Background";
  }
  .ql-font:before {
    content: "Fonts";
    left: 20px !important;
  }
  .ql-align:before {
    content: "Alignment";
  }
  .ql-table:first-child:before {
    content: "Table Size";
    left: -70%;
  }
  .ql-table:nth-child(3):before {
    content: "Table Options";
    left: -70%;
  }
  .ql-picker.ql-header:before {
    content: "Header";
    left: 20px !important;
  }
  .ql-picker.ql-size:before {
    content: "Text Size";
    left: 20px !important;
  }

  .react-quill-main {
    .ql-editor {
      min-height: 300px;
      // height: unset;
      // overflow: unset;
    }
  }
  .custom-quill-error {
    color: red;
    font-family: var(--font-first);
    font-size: var(--font-m);
    display: block;
    margin-top: 5px;
  }
  img.fullscreen-btn {
    width: 20px;
    height: 20px;
    float: right;
    margin: 33px 10px 2px 0px;
    cursor: pointer;
  }
  .fullscreen-btn-in-full {
    width: 20px;
    height: 20px;
    float: right;
    margin: 20px 20px 2px 0px;
    top: var(--header-height);
    right: 0px;
    z-index: 100000 !important;
    position: fixed;
    cursor: pointer;
  }
  .react-quill-fullscreen {
    width: 100%;
    height: 93%;
    top: var(--header-height);
    left: 0px;
    background-color: #ffffff !important;
    padding: 10px;
    /* overflow: hidden; */
    visibility: visible;
    display: block;
    z-index: 99999 !important;
    position: fixed;
    .ql-container {
      height: 90% !important;
      .ql-editor {
        min-height: unset !important;
      }
    }
  }
  .ql-mention-list {
    padding: 0;
  }

  li.ql-mention-list-item {
    padding: 2px 0 2px 4px;
    min-width: 130px;
    background: white;
  }

  li.ql-mention-list-item.selected {
    background: white;
    font-weight: 600;
  }
}

/* Set content for font-families */

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value]::before {
  content: attr(data-value) !important;
}


/*for font-family*/
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value]::before {
  content: attr(data-value) !important;
}
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="Helvetica"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="Helvetica"]::before {
  font-family: "Helvetica";
}
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value=""]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value=""]::before {
  font-family: "Helvetica";
}
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="Courier"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="Courier"]::before {
  font-family: "Courier";
}
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="Times New Roman"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="Times New Roman"]::before {
  font-family: "Times New Roman";
}

.ql-snow .ql-picker.ql-font {
  width: 140px !important;
  white-space: nowrap;
}

.ql-picker.ql-font {
  .ql-picker-label, .ql-picker-item {
    font-size: 0;
    &:before {
      content: attr(data-value) !important;
      font-size: 14px;
    }
  }
}

.ql-reset:hover {
  cursor: default !important;
}

.ql-clipboard {
  position: fixed;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="10px"]::before {
  content: "10" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="12px"]::before {
  content: "12" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="14px"]::before {
  content: "14" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="16px"]::before {
  content: "16" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="18px"]::before {
  content: "18" !important;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="24px"]::before {
  content: "24" !important;
}

.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="10px"]::before {
  content: "10" !important;
  font-size: 10px !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="12px"]::before {
  content: "12" !important;
  font-size: 12px !important;
}

.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="14px"]::before {
  content: "14" !important;
  font-size: 14px !important;
}

.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="16px"]::before {
  content: "16";
  font-size: 16px !important;
}

.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="18px"]::before {
  content: "18";
  font-size: 18px !important;
}

.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="24px"]::before {
  content: "24";
  font-size: 24px !important;
}
